import 'package:flutter/material.dart';

class HomePage extends StatelessWidget {
  const HomePage({Key? key}) : super(key: key); // Constructor

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar( // Barra de aplicaciones
        title: const Text('Home Page'), // Título de la barra
      ),
      body: Center( // Centra el contenido
        child: Column( // Dispone los hijos en una columna
          mainAxisAlignment: MainAxisAlignment.center, // Centra verticalmente
          children: [ // Lista de hijos
            const Text('Hola home page'), // Texto
            const SizedBox(height: 20), // Tamaño del texto
            ElevatedButton( // Botón
              onPressed: () { // Acción al presionar
                Navigator.pushNamed(context, 'articles'); // Navega a 'articles'
              },
              child: const Text('Ir a Articles Page'), // Texto del botón
            ),
          ],
        ),
      ),
    );
  }
}
